﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Data.OleDb;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using C1.Win.C1FlexGrid;

namespace FlexGridStyleRow
{
    public partial class Form1 : Form
    {
        C1FlexGrid grid;
        public Form1()
        {
            InitializeComponent();
            grid = new C1FlexGrid();
            this.Controls.Add(grid);
            grid.Dock = DockStyle.Fill;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable dt = new DataTable();
            string connectionString = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" +
                         System.IO.Path.Combine(Environment.GetFolderPath(Environment.SpecialFolder.MyDocuments),
                         @"ComponentOne Samples\Common\C1NWind.mdb") + ";";
            OleDbConnection conn = new OleDbConnection(connectionString);
            OleDbDataAdapter adapter = new OleDbDataAdapter("Select * from Data", conn);
            adapter.Fill(dt);
            grid.DataSource = dt;
            grid.SelectionMode = SelectionModeEnum.Row;
            grid.Styles.Highlight.BackColor = Color.LightGreen;
            grid.Styles.Focus.MergeWith(grid.Styles.Highlight);
        }
    }
}
